Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.operator
Class Windowing

    java.lang.Object
      edu.udo.cs.miningmart.operator.ExecutableOperator
          edu.udo.cs.miningmart.operator.ConceptOperator
              edu.udo.cs.miningmart.operator.SingleCSOperator
                  edu.udo.cs.miningmart.operator.Windowing

    public class Windowing

extends SingleCSOperator

Neue Version des Windowing-Operators ohne Stored Procedure. Alte Version in Datei WindowingOld.java.

Version:
  $Id: Windowing.java,v 1.6 2006/09/27 14:59:56 euler Exp $
Author:
  Timm Euler

Field Summary

Fields inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`suffixForIntermediateViews`

Fields inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`generatedSQLDefinitions`

Constructor Summary
`Windowing()`

Method Summary
`protected java.lang.String` | `generateColumns(Columnset csForOutputConcept)` This method is overridden because this operator uses a mapping to fill the output BaseAttributes.
`java.lang.String` | `generateSQLDefinition(java.lang.String selectPart)` This method must return the SQL definition of the newly created ColumnSet.
`java.lang.String` | `getTypeOfNewColumnSet()` This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table.
`boolean` | `mustCopyFeature(java.lang.String nameOfFeature)` This method is never called.

Methods inherited from class edu.udo.cs.miningmart.operator.SingleCSOperator
`generateColumnSetsForOp, generateSQLDefinition, getNewCSName, getTypeOfNewColumnSet, handleExtraOutputFeature`

Methods inherited from class edu.udo.cs.miningmart.operator.ConceptOperator
`compileStatement, createMetadata, createMetadataForOneBA, createSingleColumnSet, createStatement, getInputConcept, getNewCSName, getOutputConcept, getStringForSelection, setNewCSMultiStepBranch`

Methods inherited from class edu.udo.cs.miningmart.operator.ExecutableOperator
`autoPrint, checkConditions, doPrint, doPrint, execute, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getArtificalColumnName, getBusinessDbms, getHighestLoopNr, getM4Db, getM4Dbms, getM4ObjectFromCache, getName, getNextM4SequenceValue, getNumberOfLoops, getOperator, getOpParamsIterator, getParameter, getParameter, getParameterObjectsOfAllLoops, getSingleParameter, getSingleParameter, getStep, giveWarningForChangedInputData, handleAssertions, isDeselectedParameter, isLoopable, isManual, isStepable, load, print, putM4ObjectToCache, showCreateStatement, storedProceduresAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Windowing

    public Windowing()

Method Detail

### getTypeOfNewColumnSet

    public java.lang.String getTypeOfNewColumnSet()

  This method must return the entry String for the M4 table "Columnset_t", indicating whether the new Columnset is a view or a table.

  Specified by:
    `getTypeOfNewColumnSet` in class `SingleCSOperator`
  Returns:
    The type of the new Columnset, either "V" or "T".
  See Also:
    `edu.udo.cs.miningmart.m4.core.operator.ConceptOperator#getTypeOfNewColumnSet`

### generateSQLDefinition

    public java.lang.String generateSQLDefinition(java.lang.String selectPart)
                                           throws M4CompilerError,
                                                  M4CompilerWarning

  This method must return the SQL definition of the newly created ColumnSet.

  Specified by:
    `generateSQLDefinition` in class `SingleCSOperator`
  Parameters:
    `selectPart` - The SQL string between "SELECT" and "FROM" for the SQL definition to be returned.
  Returns:
    The SQL definition for the new ColumnSet.
  Throws:
    `M4CompilerError`
    `M4CompilerWarning`

### generateColumns

    protected java.lang.String generateColumns(Columnset csForOutputConcept)
                                        throws M4CompilerError

  This method is overridden because this operator uses a mapping to fill the output BaseAttributes.

  Overrides:
    `generateColumns` in class `ConceptOperator`
  Parameters:
    `csForOutputConcept` - The ColumnSet for which Columns are to be produced.
  Returns:
    A String for the "SELECT"-part of the view definition for the given ColumnSet.
  Throws:
    `M4CompilerError`
  See Also:
    `edu.udo.cs.miningmart.m4.operator.ConceptOperator#generateColumns(Columnset)`

### mustCopyFeature

    public boolean mustCopyFeature(java.lang.String nameOfFeature)

  This method is never called.

  Specified by:
    `mustCopyFeature` in class `ConceptOperator`
  Parameters:
    `nameOfFeature` - Name of the feature in question.
  Returns:
    TRUE if this feature should be copied to the output concept, FALSE if not.
  See Also:
    `miningmart.compiler.operator.ConceptOperator#mustCopyFeature(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005